| Mini51 BSP V3.02.002 The Board Support Package for Mini51 Series

Data Fields
WDT_T Struct Reference

`#include <Mini51Series.h>`

## Data Fields
__IO uint32_t | WTCR

## Detailed Description

    @addtogroup WDT Watch Dog Timer Controller(WDT)
    Memory Mapped Structure for WDT Controller

Definition at line 9696 of file Mini51Series.h.

## Field Documentation

## ◆ WTCR

WDT_T::WTCR

WTCR

Offset: 0x00 Watchdog Timer Control Register

Bits | Field | Descriptions
[0] | WTR | Reset Watchdog Timer Up Counter (Write Protect) 0 = No effect. 1 = Reset the internal 18-bit WDT up counter value. Note: This bit will be automatically cleared by hardware.
[1] | WTRE | Watchdog Timer Time-out Reset Enable Control (Write Protect) Setting this bit will enable the WDT time-out reset function if the WDT up counter value has not been cleared after the specific WDT reset delay period (1024 * TWDT) expires. 0 = WDT time-out reset function Disabled. 1 = WDT time-out reset function Enabled.
[2] | WTRF | Watchdog Timer Time-out Reset Flag This bit indicates the system has been reset by WDT time-out reset or not. 0 = WDT time-out reset did not occur. 1 = WDT time-out reset occurred. Note: This bit is cleared by writing 1 to it.
[3] | WTIF | Watchdog Timer Time-out Interrupt Flag This bit will be set to 1 while WDT up counter value reaches the selected WDT time-out interval. 0 = WDT time-out interrupt did not occur. 1 = WDT time-out interrupt occurred. Note: This bit is cleared by writing 1 to it.
[4] | WTWKE | Watchdog Timer Time-out Wake-up Function Control (Write Protect) If this bit is set to 1, while WTIF is generated to 1 and WTIE enabled, the WDT time-out interrupt signal will generate a wake-up trigger event to chip. 0 = Wake-up trigger event Disabled if WDT time-out interrupt signal generated. 1 = Wake-up trigger event Enabled if WDT time-out interrupt signal generated. Note: Chip can be woken-up by WDT time-out interrupt signal generated only if WDT clock source is selected to 10 kHz oscillator.
[5] | WTWKF | Watchdog Timer Time-out Wake-up Flag This bit indicates the interrupt wake-up flag status of WDT. 0 = WDT does not cause chip wake-up. 1 = Chip wake-up from Idle or Power-down mode if WDT time-out interrupt signal generated. Note: This bit is cleared by writing 1 to it.
[6] | WTIE | Watchdog Timer Time-out Interrupt Enable Control (Write Protect) If this bit is enabled, the WDT time-out interrupt signal is generated and inform to CPU. 0 = WDT time-out interrupt Disabled. 1 = WDT time-out interrupt Enabled.
[7] | WTE | Watchdog Timer Enable Control (Write Protect) 0 = WDT Disabled. (This action will reset the internal up counter value.) 1 = WDT Enabled.
[10:8] | WTIS | Watchdog Timer Interval Selection These three bits select the time-out interval for the Watchdog Timer. 000 = 24 * TWDT. 001 = 26 * TWDT. 010 = 28 * TWDT. 011 = 210 * TWDT. 100 = 212 * TWDT. 101 = 214 * TWDT. 110 = 216 * TWDT. 111 = 218 * TWDT.
[31] | DBGACK_WDT | ICE Debug Mode Acknowledge Disable Control (Write Protect) 0 = ICE debug mode acknowledgement effects WDT counting. WDT up counter will be kept while CPU is hanging by ICE. 1 = ICE debug mode acknowledgement Disabled. WDT up counter will keep going no matter CPU is hanging by ICE or not.

Definition at line 9826 of file Mini51Series.h.

The documentation for this struct was generated from the following file:

- Device/Nuvoton/Mini51Series/Include/Mini51Series.h